Debian Bug report logs - #490386
ITP: h264enc -- h.264 video encoding script

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joey Hess <joeyh@debian.org>

Date: Fri, 11 Jul 2008 22:42:01 UTC

Owned by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490386; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: h264enc -- h.264 video encoding script
Date: Fri, 11 Jul 2008 18:40:21 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : h264enc
* URL             : http://h264enc.sourceforge.net/
* License         : GPL
  Programming Lang: (C, C++, C#, Perl, Python, etc.)
  Description     : h.264 video encoding script

This is "just" a shell script, but it's a shell script that knows about
every command line video tool available for linux, and can put them
together in handy combinations to generate nice videos. Guides you
interactively through all the choices.

I spent 12 hours watching tools fail and crash, then I found this script
and converted my 500 mb dv video from kino into a 15 mv avi of very high
quality, in minutes.

If I were packaging software right now, I'd package this myself.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490386; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Dmitry E. Oboukhov" <unera@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 490386@bugs.debian.org (full text, mbox):

From: "Dmitry E. Oboukhov" <unera@debian.org>
To: Joey Hess <joeyh@debian.org>, 490386@bugs.debian.org
Subject: Re: Bug#490386: RFP: h264enc -- h.264 video encoding script
Date: Sat, 12 Jul 2008 14:18:41 +0400
[Message part 1 (text/plain, inline)]
On 18:40 Fri 11 Jul     , Joey Hess wrote:
JH> Package: wnpp
JH> Severity: wishlist

JH> * Package name    : h264enc
JH> * URL             : http://h264enc.sourceforge.net/
JH> * License         : GPL
JH> Programming Lang: (C, C++, C#, Perl, Python, etc.)
JH> Description     : h.264 video encoding script

JH> This is "just" a shell script, but it's a shell script that knows about
JH> every command line video tool available for linux, and can put them
JH> together in handy combinations to generate nice videos. Guides you
JH> interactively through all the choices.

JH> I spent 12 hours watching tools fail and crash, then I found this script
JH> and converted my 500 mb dv video from kino into a 15 mv avi of very high
JH> quality, in minutes.

JH> If I were packaging software right now, I'd package this myself.

package created (see attache), but can not be uploaded 
(debian/main/contrib/non-free) does not contain mencoder.

--
... mpd playing: Accept - No Time To Lose

. ''`. Dmitry E. Oboukhov
: :’  : unera@debian.org
`. `~’ GPGKey: 1024D / F8E26537 2006-11-21
  `- 1B23 D4F8 8EC0 D902 0555  E438 AB8C 00CF F8E2 6537
[h264enc_debian.tgz (application/x-gtar, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490386; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to cgreco@cs.unibo.it:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 490386@bugs.debian.org (full text, mbox):

From: Cristian Greco <cgreco@cs.unibo.it>
To: "Dmitry E. Oboukhov" <unera@debian.org>, 490386@bugs.debian.org
Subject: Re: Bug#490386: RFP: h264enc -- h.264 video encoding script
Date: Sat, 12 Jul 2008 14:22:37 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 12, 2008 at 02:18:41PM +0400, Dmitry E. Oboukhov wrote:

> package created (see attache), but can not be uploaded 
> (debian/main/contrib/non-free) does not contain mencoder.

Moreover, to achieve full functionality, h264enc should Depends: on
some other packages:

- lsdvd, vorbis-tools, ogmtools, mkvtoolnix
- gpac, pipeviewer

The former are already packaged for Debian, while the latter are not.


Regards,
Cristian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490386; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 490386@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: "Dmitry E. Oboukhov" <unera@debian.org>, 490386@bugs.debian.org
Subject: Re: Bug#490386: RFP: h264enc -- h.264 video encoding script
Date: Sat, 12 Jul 2008 08:38:10 -0400
[Message part 1 (text/plain, inline)]
Dmitry E. Oboukhov wrote:
> package created (see attache), but can not be uploaded 
> (debian/main/contrib/non-free) does not contain mencoder.

Hmm, yeah, that is a hard dependency.

Maybe it should be put in the debian-multimedia repository?

BTW, I modified it to not redundantly ask where mencoder was (it can
find it in PATH), and also to not abort when relative filenames are
entered (they can easily be made absolute by appending pwd).

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490386; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 490386@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: cgreco@cs.unibo.it, 490386@bugs.debian.org
Cc: "Dmitry E. Oboukhov" <unera@debian.org>
Subject: Re: Bug#490386: RFP: h264enc -- h.264 video encoding script
Date: Sat, 12 Jul 2008 10:08:28 -0400
[Message part 1 (text/plain, inline)]
Cristian Greco wrote:
> Moreover, to achieve full functionality, h264enc should Depends: on
> some other packages:
> 
> - lsdvd, vorbis-tools, ogmtools, mkvtoolnix
> - gpac, pipeviewer
> 
> The former are already packaged for Debian, while the latter are not.

You don't need gpac, unless you're making specific types of output files
(.mp4?). Dunno about pipeviewer, name doesn't ring a bell so I assume I
didn't need it. :-) 

mencoder is the bigger proboem dep.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490386; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 490386@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Joey Hess <joeyh@debian.org>
Cc: 490386@bugs.debian.org, "Dmitry E. Oboukhov" <unera@debian.org>
Subject: Re: Bug#490386: RFP: h264enc -- h.264 video encoding script
Date: Tue, 15 Jul 2008 10:36:52 +0200
Joey Hess <joeyh@debian.org> writes:

> Dmitry E. Oboukhov wrote:
>> package created (see attache), but can not be uploaded 
>> (debian/main/contrib/non-free) does not contain mencoder.
>
> Hmm, yeah, that is a hard dependency.
>
> Maybe it should be put in the debian-multimedia repository?

I'll be happy to put this package on my repository if necessary.

Christian




Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sat, 09 May 2009 22:54:05 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Sat, 09 May 2009 22:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 490386-done@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 490386-done@bugs.debian.org
Subject: closing
Date: Sat, 9 May 2009 18:51:27 -0400
[Message part 1 (text/plain, inline)]
closing, it's in debian-multimedia now and is not suitable for debian
due to its mencoder dependency

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Jun 2009 07:38:18 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 14:39:04 GMT) Full text and rfc822 format available.

Bug reopened Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 14:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: h264enc -- h.264 video encoding script' from 'RFP: h264enc -- h.264 video encoding script' Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 14:45:03 GMT) Full text and rfc822 format available.

Owner recorded as Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 14:45:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 19:06:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:34:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.